
Katello - Refactor #13469

Repository model should know whether or not it can accept uploaded content

01/29/2016 10:53 AM - Adam Price

Status: New   

Priority: Normal   

Assignee:    

Category: Container   

Target version: Katello Backlog   

Branch:  Pull request:  

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Issue #13453 needed us to remove the ability for docker content to be uploaded into a repository.

It was addressed with this pull-request.

It would probably be better to encapsulate the logic around whether a repository accepts content uploads.

Something along the lines of:

@repository.accepts_content_upload? # => true or false

History

#1 - 02/14/2016 10:49 AM - Eric Helms

- Category set to Container

- translation missing: en.field_release set to 86

#2 - 02/16/2016 08:55 PM - Eric Helms

- translation missing: en.field_release changed from 86 to 114
